import request from '@/utils/request'

// 查询金蝶工段数据列表
export function listWorkCenterData(query) {
  return request({
    url: '/system/workCenterData/list',
    method: 'get',
    params: query
  })
}

// 查询金蝶工段数据详细
export function getWorkCenterData(id) {
  return request({
    url: '/system/workCenterData/' + id,
    method: 'get'
  })
}

// 新增金蝶工段数据
export function addWorkCenterData(data) {
  return request({
    url: '/system/workCenterData',
    method: 'post',
    data: data
  })
}

// 修改金蝶工段数据
export function updateWorkCenterData(data) {
  return request({
    url: '/system/workCenterData',
    method: 'put',
    data: data
  })
}

// 删除金蝶工段数据
export function delWorkCenterData(id) {
  return request({
    url: '/system/workCenterData/' + id,
    method: 'delete'
  })
}
